Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Staging next #73287

Merged
merged 192 commits into from Nov 20, 2019
Merged

Staging next #73287

merged 192 commits into from Nov 20, 2019

Conversation

@FRidh
Copy link
Member

FRidh commented Nov 12, 2019

Motivation for this change
Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS linux)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nix-review --run "nix-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
  • Ensured that relevant documentation is up to date
  • Fits CONTRIBUTING.md.
Notify maintainers

cc @

dtzWill and others added 30 commits Feb 24, 2019
Build-tested the changes packages.

May be more that can be cleaned up.
setup.sh adds a bunch of variables that only it needs. To avoid
polluting environments, we should unset these as soon as we are done
with them.
Semi-automatic update generated by
https://github.com/ryantm/nixpkgs-update tools. This update was made
based on information from
https://repology.org/metapackage/phonon-qt5/versions
https://www.sudo.ws/stable.html#1.8.29

Build tweak: fix build failure when attempting to check that
the "existing" sudoers file on $out/etc/sudoers parses clean--
this update changed precondition for this test to check if
DESTDIR is non-empty instead of previous behavior
"does the file exist".
Explicitly handle `dont*` and friends not being defined.
Same justification as previous commit.
Go beyond the obvious setup hooks now, with a bit of sed, with a skipped case:

 - cc-wrapper's `dontlink`, because it already is handled.

Also, in nix files escaping was manually added.

EMP
If these aren't defined, the stdenv defaults are used in the `*Phase`
case, or no extra phases are done, in the `*Phases` case.
Before, we very carefully unapplied and reapplied `set -u` so the rest
of Nixpkgs could continue to not fail on undefined variables. Let's rip
off the band-aid.
Basically a flavour of gnugpg, which solely containts `bin/gnupg`.
Adding `systemd-importd` to the build, so that `machinectl`s `import-.*`
may actually do anything. Currently they fail with

```
Failed to transfer image: The name org.freedesktop.import1 was not provided by any .service files
```
as `systemd-importd` is not built. Also registers the regarding dbus
api and service in the systemd module.
My earlier sed missed this because it already had `{..}`.
This adds a test downloading an nspawn container via http, and ensures
sha256sum verification and gpg signature verification work.
I noticed while strace-ing that Git was trying to open
/etc//gitconfig.  Not a big deal, but it is definitely more correct
without the trailing slash.
git: drop extraneous sysconfdir trailing slash
LnL7 and others added 2 commits Nov 17, 2019
Based on testing this issue seems to only occur with clang_7, so
we should be able to revert this when the default llvm versions are
updated.

Fixes #66811
... into staging-next.  Fixes #66811, kinda.
@vcunat

This comment has been minimized.

Copy link
Member

vcunat commented Nov 18, 2019

I see lots of SDL regressions like

checking for SDL... no
checking for sdl-config... /nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/bin/sdl-config
checking for SDL - version >= 1.2.10... no
*** Could not run SDL test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means SDL was incorrectly installed
*** or that you have moved SDL since it was installed. In the latter case, you
*** may want to edit the sdl-config script: /nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/bin/sdl-config
configure: error: *** SDL version 1.2.10 not found!
@FRidh

This comment has been minimized.

Copy link
Member Author

FRidh commented Nov 19, 2019

Still 2300 more regressions compared to trunk.
https://hydra.nixos.org/eval/1555299?compare=trunk#tabs-now-fail

Indeed SDL is a problem. In config.log it says

configure:12941: checking for SDL - version >= 1.2.4
configure:13039: gcc -o conftest -g -O2 -I/nix/store/6gh48alr973cgb5n23yi3jmbczjjxkyd-freetype-2.10.1-dev/include/freetype2 -I/nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/include/SDL -I/nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86>
/nix/store/a9ms1pkj00sgssxqr2cvryv3h5fki4an-binutils-2.31.1/bin/ld: /nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/lib: file not recognized: Is a directory
collect2: error: ld returned 1 exit status

The SDL setup hook was modified. cc @Ericson2314
In some cases it's possible to work-around by simply using pkgconfig but SDL_Pango would still fail.

@FRidh

This comment has been minimized.

Copy link
Member Author

FRidh commented Nov 19, 2019

KDE needs some fixing now as well #73756

@Ericson2314

This comment has been minimized.

Copy link
Member

Ericson2314 commented Nov 20, 2019

@FRidh I am afraid these SDL failures are my fault, but I can't figure out why.

@jonringer

This comment has been minimized.

Copy link
Contributor

jonringer commented Nov 20, 2019

xD,

" these failures are my fault, but I can't figure out why."

-Every programmer, ever

SDL_LIB_PATH needs to contain -L
@jtojnar

This comment has been minimized.

Copy link
Contributor

jtojnar commented Nov 20, 2019

The difference seems to be missing -L in $SDL_LIB_PATH:

$ git checkout staging-next
$ nix-shell -A 'SDL_Pango' --run 'echo $SDL_LIB_PATH'
/nix/store/sqlfhn4g4lawfd77abyifsv7grlb28nd-gettext-0.20.1/lib /nix/store/998h33zhark36pal6qz8245lqdgdrm8g-libtool-2.4.6-lib/lib /nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/lib /nix/store/nxxd73b93rijjdgniaz49gndmrkdzpsi-libXext-1.3.4-dev/lib /nix/store/jvcdx0lcp1hpm1j0qg1kixw7xrxlhyq8-libXau-1.0.9-dev/lib /nix/store/cn305523a18m842s9a0jnd48jkyf9xq3-libXau-1.0.9/lib /nix/store/yla5mzxsmzc8py2jcfj2wj189q7pjgnf-libXext-1.3.4/lib /nix/store/pg6v4z5x0lg76jvxhsfw5ba9w89r7kwc-libICE-1.0.10-dev/lib /nix/store/fyax51rdqabil0npxs3jxnfv13nm6wyr-libICE-1.0.10/lib /nix/store/qavryxird432brhpnssbk6c903gc694a-libXrandr-1.5.2-dev/lib /nix/store/zizm2aqwfhx5l7fj80gkprgc56vziiny-libXrender-0.9.10-dev/lib /nix/store/q5d9rzd7hb5qbd42401nhkjaybg4l54m-libX11-1.6.8-dev/lib /nix/store/b5wlrpa78w5h60339s4cxp0xly1k777j-libxcb-1.13.1-dev/lib /nix/store/3g0b7295kr562xn8421rpwsgijw5yw73-libxcb-1.13.1/lib /nix/store/9jkxlvwp5z2ivm0z4dqv7clng5lmaajl-libX11-1.6.8/lib /nix/store/mykiyq33sg75is0mpl03h5n5ac49snmf-libXrender-0.9.10/lib /nix/store/4gh5s5mphnsnyv1x4shg4fkfg4cqfpy7-libXrandr-1.5.2/lib /nix/store/133nrhsdxjv4v2aaxnaham1gfay7s8ng-libGL-1.2.0-dev/lib /nix/store/j9gr87i7zpcpadgkxa5wc9r6d65ix9dj-libGL-1.2.0/lib /nix/store/2af7cjpqi7g88sv24sb0a43y6yk1xgxm-libglvnd-1.2.0/lib /nix/store/gvvzyfb7pj0871i9943sm2q2x33a7f3m-libglvnd-1.2.0-dev/lib /nix/store/lhi94k7fkdrqk146m0jwrlnimnda32fv-glu-9.0.1-dev/lib /nix/store/ymns22gpjff4mj2r9m1ln8skb9iiqpzl-glu-9.0.1/lib /nix/store/40b67z1kn0nymb5swzs2k46k1vy4brkp-alsa-lib-1.1.9-dev/lib /nix/store/i2d9blh66bjycwaph1cyy1cmmcfkqcrs-alsa-lib-1.1.9/lib /nix/store/8jlgpbx4lp7hxv81bfidjc6jnrgxwphk-libpulseaudio-13.0-dev/lib /nix/store/6lk9qrjg16gsx2iz1badak93n5v2ik1z-libcap-2.27-dev/lib /nix/store/ba4x3j4bnpa2qz74cs7jzcqcx1c83ab8-attr-2.4.48-dev/lib /nix/store/bmarlfi5rjkagsn9g58r9wl2lfsfgpxa-attr-2.4.48/lib /nix/store/i8rfylg7gcn29wk9lm4ff8fmdwch6srn-libcap-2.27-lib/lib /nix/store/ndk29d2s02vxrji2yyldxpn7mkbagyyv-libpulseaudio-13.0/lib /nix/store/ndy3hi73z85j7rzzszbz0sq5hsyzh3mp-SDL-1.2.15/lib /nix/store/m9i6labr6mfh4l8aibkyjxn6vzh26m3c-pango-1.43.0-dev/lib /nix/store/b2jy3hnj8m129wy7za0b2dwl74s9g5p4-cairo-1.16.0-dev/lib /nix/store/pfxiv6942cvmvzpslqvbnh6xhs93xrs9-fontconfig-2.12.6-dev/lib /nix/store/6gh48alr973cgb5n23yi3jmbczjjxkyd-freetype-2.10.1-dev/lib /nix/store/dn2swhhhdzp5rhqva7shqgkwpz255zk7-zlib-1.2.11-dev/lib /nix/store/8wanm00dzn5vlajz1rznbf6dbj8931d6-zlib-1.2.11/lib /nix/store/q34ki44c0frxp879ik9wz2k1frsp9pkf-bzip2-1.0.6.0.1-dev/lib /nix/store/ndgvwzxcf05cg2xfa4443zvz8x9jmirc-bzip2-1.0.6.0.1/lib /nix/store/01b8qxw25sgihkg2fib5464bhw625ym3-libpng-apng-1.6.37-dev/lib /nix/store/a6kjbjvdcj3hsiqwm5li9k58ik2ymy1k-libpng-apng-1.6.37/lib /nix/store/vqlq4rs0nwwz49cfzqjxacprpygf437r-freetype-2.10.1/lib /nix/store/zcgnw5a24d0n4ghsjry56bssxg8mrx4k-fontconfig-2.12.6-lib/lib /nix/store/9ry7icwc0g95r4syqm5mg26mq2mhzph8-expat-2.2.8-dev/lib /nix/store/dvi67hzkwbq94aa9flqd5qz3n7wf6ip0-expat-2.2.8/lib /nix/store/4wag8lmydcg8lp647c0mxcszfsiv62j2-pixman-0.38.4/lib /nix/store/0css9yqgiz929rr6djakf0i50pq88cqs-xcb-util-0.4.0-dev/lib /nix/store/wjhfyjn568xxa4z7r5dnhzs485lz3wxh-xcb-util-0.4.0/lib /nix/store/lb9gn8cf0n5vfv7f3iv8mxrjvnjl19bz-glib-2.62.2-dev/lib /nix/store/3j3i68cx51rj4a9vqhkapgx1hkgywh7z-libffi-3.2.1-dev/lib /nix/store/5h4mz4l2y4d7p7z2cp0l6d8d5mck7i32-libffi-3.2.1/lib /nix/store/qssg4ifqlpai5mrz0bk2j5mkz4pcvzqs-glib-2.62.2/lib /nix/store/9p84as1bwdsbhrf91ljw16hblhl7nzz9-cairo-1.16.0/lib /nix/store/5bjl928dh5l7as6v77rfm7mswx1yjdqh-libXft-2.3.3-dev/lib /nix/store/smk23y8a6ynh9rxi53v6fkkkjvf5x7g0-libXft-2.3.3/lib /nix/store/6qpabqngbfrqnvkd61wj9nwfg9yjv26b-pango-1.43.0/lib /nix/store/sqlfhn4g4lawfd77abyifsv7grlb28nd-gettext-0.20.1/lib /nix/store/998h33zhark36pal6qz8245lqdgdrm8g-libtool-2.4.6-lib/lib /nix/store/bk3j6xaagilx450x1mdz56w3yhw9bx86-SDL-1.2.15-dev/lib /nix/store/nxxd73b93rijjdgniaz49gndmrkdzpsi-libXext-1.3.4-dev/lib /nix/store/jvcdx0lcp1hpm1j0qg1kixw7xrxlhyq8-libXau-1.0.9-dev/lib /nix/store/cn305523a18m842s9a0jnd48jkyf9xq3-libXau-1.0.9/lib /nix/store/yla5mzxsmzc8py2jcfj2wj189q7pjgnf-libXext-1.3.4/lib /nix/store/pg6v4z5x0lg76jvxhsfw5ba9w89r7kwc-libICE-1.0.10-dev/lib /nix/store/fyax51rdqabil0npxs3jxnfv13nm6wyr-libICE-1.0.10/lib /nix/store/qavryxird432brhpnssbk6c903gc694a-libXrandr-1.5.2-dev/lib /nix/store/zizm2aqwfhx5l7fj80gkprgc56vziiny-libXrender-0.9.10-dev/lib /nix/store/q5d9rzd7hb5qbd42401nhkjaybg4l54m-libX11-1.6.8-dev/lib /nix/store/b5wlrpa78w5h60339s4cxp0xly1k777j-libxcb-1.13.1-dev/lib /nix/store/3g0b7295kr562xn8421rpwsgijw5yw73-libxcb-1.13.1/lib /nix/store/9jkxlvwp5z2ivm0z4dqv7clng5lmaajl-libX11-1.6.8/lib /nix/store/mykiyq33sg75is0mpl03h5n5ac49snmf-libXrender-0.9.10/lib /nix/store/4gh5s5mphnsnyv1x4shg4fkfg4cqfpy7-libXrandr-1.5.2/lib /nix/store/133nrhsdxjv4v2aaxnaham1gfay7s8ng-libGL-1.2.0-dev/lib /nix/store/j9gr87i7zpcpadgkxa5wc9r6d65ix9dj-libGL-1.2.0/lib /nix/store/2af7cjpqi7g88sv24sb0a43y6yk1xgxm-libglvnd-1.2.0/lib /nix/store/gvvzyfb7pj0871i9943sm2q2x33a7f3m-libglvnd-1.2.0-dev/lib /nix/store/lhi94k7fkdrqk146m0jwrlnimnda32fv-glu-9.0.1-dev/lib /nix/store/ymns22gpjff4mj2r9m1ln8skb9iiqpzl-glu-9.0.1/lib /nix/store/40b67z1kn0nymb5swzs2k46k1vy4brkp-alsa-lib-1.1.9-dev/lib /nix/store/i2d9blh66bjycwaph1cyy1cmmcfkqcrs-alsa-lib-1.1.9/lib /nix/store/8jlgpbx4lp7hxv81bfidjc6jnrgxwphk-libpulseaudio-13.0-dev/lib /nix/store/6lk9qrjg16gsx2iz1badak93n5v2ik1z-libcap-2.27-dev/lib /nix/store/ba4x3j4bnpa2qz74cs7jzcqcx1c83ab8-attr-2.4.48-dev/lib /nix/store/bmarlfi5rjkagsn9g58r9wl2lfsfgpxa-attr-2.4.48/lib /nix/store/i8rfylg7gcn29wk9lm4ff8fmdwch6srn-libcap-2.27-lib/lib /nix/store/ndk29d2s02vxrji2yyldxpn7mkbagyyv-libpulseaudio-13.0/lib /nix/store/ndy3hi73z85j7rzzszbz0sq5hsyzh3mp-SDL-1.2.15/lib /nix/store/m9i6labr6mfh4l8aibkyjxn6vzh26m3c-pango-1.43.0-dev/lib /nix/store/b2jy3hnj8m129wy7za0b2dwl74s9g5p4-cairo-1.16.0-dev/lib /nix/store/pfxiv6942cvmvzpslqvbnh6xhs93xrs9-fontconfig-2.12.6-dev/lib /nix/store/6gh48alr973cgb5n23yi3jmbczjjxkyd-freetype-2.10.1-dev/lib /nix/store/dn2swhhhdzp5rhqva7shqgkwpz255zk7-zlib-1.2.11-dev/lib /nix/store/8wanm00dzn5vlajz1rznbf6dbj8931d6-zlib-1.2.11/lib /nix/store/q34ki44c0frxp879ik9wz2k1frsp9pkf-bzip2-1.0.6.0.1-dev/lib /nix/store/ndgvwzxcf05cg2xfa4443zvz8x9jmirc-bzip2-1.0.6.0.1/lib /nix/store/01b8qxw25sgihkg2fib5464bhw625ym3-libpng-apng-1.6.37-dev/lib /nix/store/a6kjbjvdcj3hsiqwm5li9k58ik2ymy1k-libpng-apng-1.6.37/lib /nix/store/vqlq4rs0nwwz49cfzqjxacprpygf437r-freetype-2.10.1/lib /nix/store/zcgnw5a24d0n4ghsjry56bssxg8mrx4k-fontconfig-2.12.6-lib/lib /nix/store/9ry7icwc0g95r4syqm5mg26mq2mhzph8-expat-2.2.8-dev/lib /nix/store/dvi67hzkwbq94aa9flqd5qz3n7wf6ip0-expat-2.2.8/lib /nix/store/4wag8lmydcg8lp647c0mxcszfsiv62j2-pixman-0.38.4/lib /nix/store/0css9yqgiz929rr6djakf0i50pq88cqs-xcb-util-0.4.0-dev/lib /nix/store/wjhfyjn568xxa4z7r5dnhzs485lz3wxh-xcb-util-0.4.0/lib /nix/store/lb9gn8cf0n5vfv7f3iv8mxrjvnjl19bz-glib-2.62.2-dev/lib /nix/store/3j3i68cx51rj4a9vqhkapgx1hkgywh7z-libffi-3.2.1-dev/lib /nix/store/5h4mz4l2y4d7p7z2cp0l6d8d5mck7i32-libffi-3.2.1/lib /nix/store/qssg4ifqlpai5mrz0bk2j5mkz4pcvzqs-glib-2.62.2/lib /nix/store/9p84as1bwdsbhrf91ljw16hblhl7nzz9-cairo-1.16.0/lib /nix/store/5bjl928dh5l7as6v77rfm7mswx1yjdqh-libXft-2.3.3-dev/lib /nix/store/smk23y8a6ynh9rxi53v6fkkkjvf5x7g0-libXft-2.3.3/lib /nix/store/6qpabqngbfrqnvkd61wj9nwfg9yjv26b-pango-1.43.0/lib

whereas

$ git checkout nixos-unstable
$ nix-shell -A 'SDL_Pango' --run 'echo $SDL_LIB_PATH'
-L/nix/store/ah5zgwi0jcl5zs79gwc2gxg9k8w6yzyz-SDL-1.2.15-dev/lib -L/nix/store/ah5zgwi0jcl5zs79gwc2gxg9k8w6yzyz-SDL-1.2.15-dev/lib

It was introduced in 1038cd5 but omitted during a merge.

Fixed in 44083d9.

jtojnar and others added 6 commits Nov 20, 2019
For compatibility with set -u.
for compatibility with set -u
For compat with set -u
@FRidh FRidh merged commit ec9cf57 into master Nov 20, 2019
2 of 4 checks passed
2 of 4 checks passed
grahamcofborg-eval Beginning Evaluations
Details
grahamcofborg-eval-nixos nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./nixos/release-combined.nix -A tested
Details
grahamcofborg-eval-package-list nix-env -qa --json --file .
Details
grahamcofborg-eval-package-list-no-aliases nix-env -qa --json --file . --arg config { allowAliases = false; }
Details
@FRidh

This comment has been minimized.

Copy link
Member Author

FRidh commented Nov 20, 2019

Still some regressions but they (KDE and Darwin git) can be fixed on master.

@adisbladis

This comment has been minimized.

Copy link
Member

adisbladis commented Nov 20, 2019

Also regressions in lua.withPackages and all emacs packages are broken.

@eadwu

This comment has been minimized.

Copy link
Member

eadwu commented Nov 20, 2019

Getting errors with stdenv on some packages. Putting it here since staging seems to be place where changes to stdenv should logically be made
/nix/store/whpnlfj79vd8p175rp1bwg0x7wz5lmj1-stdenv-linux/setup: line 320: [@]: bad substitution

@jonringer

This comment has been minimized.

Copy link
Contributor

jonringer commented Nov 20, 2019

which package? would like to repoduce

@eadwu

This comment has been minimized.

Copy link
Member

eadwu commented Nov 21, 2019

From my attempt at filtering the ones already mentioned, namely the emacs packages.

cmake

builder for '/nix/store/pdmj2n7imqfyf5bv2izm4y1naqg7nxrx-cmake-2.8.12.2.drv' failed with exit code 1; last 10 log lines:
  applying patch /nix/store/nkm6rvmsrj6hnnv8zhpjhic75yddzwcz-FindFreetype-2.5.patch
  patching file Modules/FindFreetype.cmake
  Hunk #2 succeeded at 66 (offset 3 lines).
  Hunk #3 succeeded at 82 with fuzz 1 (offset 6 lines).
  Hunk #4 succeeded at 120 (offset 9 lines).
  applying patch /nix/store/iy9p7c7hjwbwnr0fiisaywlxmhs65cxf-search-path-2.8.patch
  patching file Modules/Platform/Linux.cmake
  patching file Modules/Platform/UnixPaths.cmake
  configuring
  /nix/store/whpnlfj79vd8p175rp1bwg0x7wz5lmj1-stdenv-linux/setup: line 320: [@]: bad substitution

Another cmake? issue in polybar

builder for '/nix/store/x01fgnr6ngm2kjnz7d3512fhwsdqz05j-polybar-3.4.0.drv' failed with exit code 1; last 10 log lines:
  Call Stack (most recent call first):
    /nix/store/k51qmb95hjvdqd0mk1rb3nba5dmwhnv4-cmake-3.15.4/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
    /nix/store/k51qmb95hjvdqd0mk1rb3nba5dmwhnv4-cmake-3.15.4/share/cmake-3.15/Modules/FindThreads.cmake:220 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
    cmake/03-libs.cmake:5 (find_package)
    CMakeLists.txt:53 (include)


  -- Configuring incomplete, errors occurred!
  See also "/build/source/build/CMakeFiles/CMakeOutput.log".
  See also "/build/source/build/CMakeFiles/CMakeError.log".

and a KDE regression in ark

builder for '/nix/store/94w9px2zl27mah95sgn7girjzqx79qa0-ark-19.08.2.drv' failed with exit code 2; last 10 log lines:
       qCDebug(ARK) << "Job started";
       ^~~~~~~
       qDebug
  make[2]: *** [kerfuffle/CMakeFiles/kerfuffle.dir/build.make:133: kerfuffle/CMakeFiles/kerfuffle.dir/archive_kerfuffle.cpp.o] Error 1
  make[2]: *** Waiting for unfinished jobs....
  make[2]: *** [kerfuffle/CMakeFiles/kerfuffle.dir/build.make:146: kerfuffle/CMakeFiles/kerfuffle.dir/archiveinterface.cpp.o] Error 1
  make[2]: *** [kerfuffle/CMakeFiles/kerfuffle.dir/build.make:237: kerfuffle/CMakeFiles/kerfuffle.dir/adddialog.cpp.o] Error 1
  make[2]: *** [kerfuffle/CMakeFiles/kerfuffle.dir/build.make:224: kerfuffle/CMakeFiles/kerfuffle.dir/jobs.cpp.o] Error 1
  make[1]: *** [CMakeFiles/Makefile2:2281: kerfuffle/CMakeFiles/kerfuffle.dir/all] Error 2
  make: *** [Makefile:130: all] Error 2
@Ericson2314

This comment has been minimized.

Copy link
Member

Ericson2314 commented Nov 23, 2019

I fixed the lua ones in #73946, the emacs ones might be similar?

@adisbladis

This comment has been minimized.

Copy link
Member

adisbladis commented Nov 23, 2019

@Ericson2314 I feel so too, this is the output from nix-build '<nixpkgs>' -A emacsPackages.webpaste:

these derivations will be built:
  /nix/store/364sdp16s7srkf4zlhaf29k374b70hxs-emacs-webpaste-20190310.1048.drv
building '/nix/store/364sdp16s7srkf4zlhaf29k374b70hxs-emacs-webpaste-20190310.1048.drv'...
unpacking sources
unpacking source archive /nix/store/0nznsdxm65m5d12ccrkhr2vdj6nh9msx-source
source root is source
patching sources
configuring
no configure script, doing nothing
building
Warning: Could not find simple.el or simple.elc
The EMACSLOADPATH environment variable is set, please check its value
Cannot open load file: No such file or directory, package
builder for '/nix/store/364sdp16s7srkf4zlhaf29k374b70hxs-emacs-webpaste-20190310.1048.drv' failed with exit code 255
error: build of '/nix/store/364sdp16s7srkf4zlhaf29k374b70hxs-emacs-webpaste-20190310.1048.drv' failed
@Ericson2314

This comment has been minimized.

Copy link
Member

Ericson2314 commented Nov 23, 2019

Thanks!

bendlas added a commit that referenced this pull request Nov 23, 2019
A trailing separator in emacs load paths has semantics

cc @Ericson2314 @adisbladis #73287

This partially reverts commit ca78249
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.